Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Midori is a lightweight web browser.
Name:		midori
Version:	0.2.8
Release:	1
License:	GNU/GPL 
URL:		http://www.twotoasts.de/index.php?/pages/midori_summary.html
Group:		Internet/Browser
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	libidn-devel python26 
BuildRequires:	gettext-devel
BuildRequires:  gnutls-devel
BuildRequires:  intltool
BuildRequires:	sed findutils

BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: librsvg-devel

BuildRequires: libXScrnSaver-devel
BuildRequires: vala-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libnotify-devel
BuildRequires: libsoup-devel
BuildRequires: libunique-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: sqlite-devel
BuildRequires: webkitgtk-devel
BuildRequires: zlib-devel

%description
Midori is a lightweight web browser.

Features:
         - Full integration with GTK+ 2
         - Fast rendering with WebKit
         - Tabs, windows and session management
         - Flexibly configurable Web Search.
         - User scripts and user styles support.
         - Straightforward bookmark management.
         - Customizable and extensible interface.
         - Extensions such as Adblock, form history, mouse gestures or 
           cookie management.

%prep
%setup -q -n %{name}-%{version}
# patch python to python2.6
for i in $(find ./ -type f)
do
	sed -i "s#^\([#]!.*python\).*#\12.6#" "$i"
done

%build
PYTHON="/usr/bin/python2.6" ./configure --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/midori/extensions/libadblock.so/config
%{_sysconfdir}/xdg/midori/search
%{_bindir}/midori
%{_includedir}/midori-0.2/extensions/external-applications.h
%{_includedir}/midori-0.2/extensions/history-list.h
%{_libdir}/midori
%{_applications}/midori.desktop
%{_docdir}/midori/AUTHORS
%{_docdir}/midori/ChangeLog
%{_docdir}/midori/COPYING
%{_docdir}/midori/EXPAT
%{_docdir}/midori/README
%{_datadir}/icons/hicolor/*/apps/midori.png
%{_datadir}/icons/hicolor/*/categories/extension.png
%{_datadir}/icons/hicolor/*/status/news-feed.png
%{_datadir}/icons/hicolor/scalable/apps/midori.svg
%{_datadir}/icons/hicolor/scalable/categories/extension.svg
%{_datadir}/icons/hicolor/scalable/status/news-feed.svg
%{_locale}/*/LC_MESSAGES/midori.mo
%{_datadir}/midori
%{_datadir}/vala/vapi/external-applications.deps
%{_datadir}/vala/vapi/external-applications.vapi
%{_datadir}/vala/vapi/history-list.deps
%{_datadir}/vala/vapi/history-list.vapi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.8-1
- Version update
* Tue Jun 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.6-1
- Version update
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- Version update
* Sun Dec 13 2009 Stefan Gottwald <gotti@ccux-linux.de> 0.2.1-1
- Initial CCux package release
